Retrieve an automated test

Returns a single automated test belonging to the current project by its ID.

Path Parameters
  • id
    Type: integerFormat: int32
    required

    ID of the automated test to retrieve.

Responses
  • application/json
  • application/json
Request Example for get/v1/automated_tests/{id}
curl http://api.mailreach.co/api/v1/automated_tests/42 \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN'
{
  "id": 54594,
  "key": "3f6bc4496ba74bdc42",
  "subject": "Monthly inbox placement check",
  "content_text": "Hello, this is a test message.",
  "content_html": "<p>Hello, this is a test message.</p>",
  "automated_test_runs": [
    {
      "id": 4242,
      "automated_test_id": 42,
      "weekday": 2,
      "last_run_at": "2026-04-21T11:22:12.271Z",
      "created_at": "2024-10-14T12:23:06.786Z",
      "updated_at": "2026-04-21T11:22:12.274Z"
    }
  ],
  "template_defined": false,
  "btoc": false,
  "btob": false,
  "accounts": [
    {
      "id": 1234,
      "email": "john@acme.com",
      "first_name": "John",
      "last_name": "Doe"
    }
  ],
  "repeat_period": "WEEK",
  "repeat_period_delay": 1,
  "time_zone": "UTC",
  "utc_hour": 7,
  "hour": 9,
  "active": false,
  "last_run_at": "2026-04-20T08:00:00.000Z",
  "created_at": "2026-04-24T08:48:04.924Z",
  "can_show_run_now": true,
  "account_day_delta": 564,
  "account_ids": [
    1234
  ],
  "seedlist": 0,
  "alerts": [
    {
      "id": 42,
      "channel": "SLACK",
      "events": [
        "ACCOUNT_DISCONNECTED",
        "SPAMCHECK_COMPLETED"
      ],
      "active": true,
      "hook_url": "https://example.com/hooks/mailreach",
      "slack_channel_id": 42,
      "automated_test_ids": [
        12,
        34
      ]
    }
  ]
}